﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace ClassLibrary1
{
    public class User
    {
        private string name;
        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        private string lastName;
        public string LastName
        {
            get { return lastName; }
            set { lastName = value; }
        }

        public User(string n, string l)
        {
            this.name = n;
            this.lastName = l;
        }

        public static IList<User> getAllUsers()
        {
            // read users from a datasource
            IList<User> users = new List<User>();
            users.Add(new User("Pera", "Peric"));
            users.Add(new User("Zika", "Mikic"));
            return users;
        }

        public static IList<User> searchUsersByName(string name)
        {
            // read users from database
            DataTable dtUsers = QueryExecutor.instance().executeQuery(
                "SELECT ProductName FROM epos_db.products p WHERE ProductName LIKE ''");
            IList<User> users = new List<User>();
            foreach (DataRow row in dtUsers.Rows) {
                string s = row["ProductName"].ToString();
                users.Add(new User(s,"***"));
            }

            /*
            
            users.Add(new User("Pera", "Peric"));
            users.Add(new User("Zika", "Mikic"));
             * */
            return users;
        }
    }
}
